Create a hierarchy metadata. (Which stores the information about a hierarchy)

POST /users/site/hierarchyMetadata

Operation id: SiteService_CreateHierarchyMetadata

Description

Permission Level: Read-Write

Tags: SiteService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
hierarchyIdstringNo
displayNamestringNo
descriptionstringNo
activebooleanNo
levelsarrayNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "hierarchyId": {
      "type": "string"
    },
    "displayName": {
      "type": "string"
    },
    "description": {
      "type": "string"
    },
    "active": {
      "type": "boolean"
    },
    "levels": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "levelName": {
            "type": "string"
          },
          "displayName": {
            "type": "string"
          },
          "order": {
            "type": "integer",
            "format": "int32"
          }
        }
      }
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
hierarchyMetadataobjectNo
{
  "type": "object",
  "properties": {
    "hierarchyMetadata": {
      "type": "object",
      "properties": {
        "tenantId": {
          "type": "string",
          "description": "TenantId of the hierarchy."
        },
        "hierarchyId": {
          "type": "string",
          "description": "HierarchyId of the hierarchy."
        },
        "displayName": {
          "type": "string",
          "description": "Display name of the hierarchy."
        },
        "description": {
          "type": "string",
          "description": "Description of the hierarchy."
        },
        "active": {
          "type": "boolean",
          "description": "Active status of hierarchy."
        },
        "levels": {
          "type": "array",
          "description": "Levels of hierarchy.",
          "items": {
            "type": "object",
            "properties": {
              "levelName": {
                "type": "string"
              },
              "displayName": {
                "type": "string"
              },
              "order": {
                "type": "integer",
                "format": "int32"
              },
              "creationTime": {
                "type": "string",
                "format": "date-time"
              },
              "lastUpdated": {
                "type": "string",
                "format": "date-time"
              }
            }
          }
        },
        "creationTime": {
          "type": "string",
          "format": "date-time"
        },
        "lastUpdated": {
          "type": "string",
          "format": "date-time"
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}